Lavalite package that provides password management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/password`.

    "b2buy/password": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Password\Providers\PasswordServiceProvider::class,

And also add it to alias

    'Password'  => B2buy\Password\Facades\Password::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\PasswordTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Password\Providers\PasswordServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Password\Providers\PasswordServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Password\Providers\PasswordServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/password/{modulename}

**User**

    http://path-to-route-folder/user/password/{modulename}

**Public**

    http://path-to-route-folder/passwords


### API endpoints

**List**

    http://path-to-route-folder/api/user/password/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/password/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/password/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/password/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/password/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/password/{modulename}/{slug}
    METHOD: GET