<?php

namespace B2buy\Password;

use User;

class Password
{
    /**
     * $setting object.
     */
    protected $setting;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Password\Interfaces\SettingRepositoryInterface $setting)
    {
        $this->setting = $setting;
    }

    /**
     * Returns count of password.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.setting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->setting->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\SettingUserCriteria());
        }

        $setting = $this->setting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('password::' . $view, compact('setting'))->render();
    }
}
