<?php

namespace B2buy\Password\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SettingTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Password\Models\Setting $setting)
    {
        return [
            'id'                => $setting->getRouteKey(),
            'key'               => [
                'public'    => $setting->getPublicKey(),
                'route'     => $setting->getRouteKey(),
            ], 
            'fied'              => $setting->fied,
            'field_key'         => $setting->field_key,
            'value'             => $setting->value,
            'url'               => [
                'public'    => trans_url('password/'.$setting->getPublicKey()),
                'user'      => guard_url('password/setting/'.$setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$setting->status),
            'created_at'        => format_date($setting->created_at),
            'updated_at'        => format_date($setting->updated_at),
        ];
    }
}